Subject: bug#32814: Error running guix system container

From: Julien Lepiller <[email-masked]>
Date: Sun, 23 Sep 2018 22:46:18 +0200

Hi, I built a container on a foreign distro using:

guix system container config.scm

but then, when I run it most services can't start. From inside the
container I tried to start the postgresql service I configured and got
this message from the shepherd:

herd: exception caught while executing 'start' on service 'udev':
In procedure open-file: No such file or directory:
"/run/booted-system/kernel/lib/modules/4.9.0-7-amd64/modules.devname"

From IRC, I got this hint:

22:32 < civodul> roptat: re module loading, i was referring to what
(gnu build linux-boot) does
22:33 < civodul> see make-static-device-nodes, which is itself called
from the udev 'start' method
22:35 < civodul> see commit 86e6b4c93104e2f83429b9e12f15ed62341289b4
22:35 < civodul> i suppose we could skip that in containers